Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
pygaze._display.osdisplay.OSDisplay Class Reference
Inheritance diagram for pygaze._display.osdisplay.OSDisplay:

## Public Member Functions
| __init__ (self, **args)
| show (self)
| show_part (self, rect, screen=None)
| fill (self, screen=None)
| close (self)
Public Member Functions inherited from pygaze._display.basedisplay.BaseDisplay
| __init__ (self)
| make_screenshot (self, filename='screenshot.png')

## Public Attributes
| experiment = settings.osexperiment
| canvas = canvas(self.experiment)
| dispsize = self.experiment.resolution()

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze._display.osdisplay.OSDisplay.__init__ | ( |  | self,
|  | ** | args )

## Member Function Documentation

## ◆ close()

pygaze._display.osdisplay.OSDisplay.close | ( |  | self | ) |

            Closes the display

            arguments

            None

            keyword arguments

            None

            returns

            None

Reimplemented from pygaze._display.basedisplay.BaseDisplay.

## ◆ fill()

pygaze._display.osdisplay.OSDisplay.fill | ( |  | self,
|  |  | screen = None )

            Fills the screen with the background colour of the Screen, NOT
            updating it (call Display.show() to actually show the new contents)

            arguments

            None

            keyword arguments

            screen  --  the screen that should be drawn to the display or
                        None to fill the display with its background colour

            returns

            None

Reimplemented from pygaze._display.basedisplay.BaseDisplay.

## ◆ show()

pygaze._display.osdisplay.OSDisplay.show | ( |  | self | ) |

            Updates ('flips') the display.

            arguments

            None

            keyword arguments

            None

            returns
            time        --  the exact refresh time when disptype is PsychoPy,
                        or an estimate when disptype is PyGame

Reimplemented from pygaze._display.basedisplay.BaseDisplay.

## ◆ show_part()

pygaze._display.osdisplay.OSDisplay.show_part | ( |  | self,
|  |  | rect,
|  |  | screen = None )

            Fills AND shows part(s) of the screen to given specified screen
            (only works when disptype is PyGame; when this is set to PsychoPy
            the entire display is filled and updated)

            arguments

            rect        --  a single or a list of rects; a rect is a (x,y,w,h)
                        tuple or list

            keyword arguments

            screen  --  the screen of which the specified rects should be
                        updated to the display (default = None)

            returns

            time        --  the exact refresh time when disptype is PsychoPy,
                        or an estimate when disptype is PyGame

Reimplemented from pygaze._display.basedisplay.BaseDisplay.

## Member Data Documentation

## ◆ canvas

pygaze._display.osdisplay.OSDisplay.canvas = canvas(self.experiment)

## ◆ dispsize

pygaze._display.osdisplay.OSDisplay.dispsize = self.experiment.resolution()

## ◆ experiment

pygaze._display.osdisplay.OSDisplay.experiment = settings.osexperiment

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/_display/osdisplay.py